Description

My FreeNAS server is set up and connected to my Windows domain.  I'm copying files from the old Windows 2003 server, and most

of the files copy without a problem.  However, there are certain files (PSD files) which cannot be copied to FreeNAS no matter what

permissions I set.  Other files in the same source and destination folders can be copied without any problems.  I've followed the

instructions from standard guides, and I just can't figure it out.  Here's what I've tried.

List of what doesn't work:

- Removing all permissions from source file, changing ownership, adding explicit permissions

- Resetting permissions on the destination

- Creating a fresh dataset, setting full control permissions for everyone

- copy, xcopy, robocopy /b

List of what does work:

- Copying other files from the same source to the same destination (but not these specific files)

- Copying the file to a FAT filesystem, then copying to FreeNAS

- Right-click, Properties, Details, then Remove Properties and Personal Information (now the file will copy)

What the heck?  I thought the Properties and Personal Information was only info within the file, not filesystem data.  Something is

very strange about this.

History

#1 - 04/24/2017 06:56 PM - Joseph Miller

- File debug-freenas-20170424185640.txz added

#2 - 04/24/2017 07:03 PM - Joseph Miller

I should have specified that the error message I receive is "Access Denied."

#3 - 04/25/2017 05:15 AM - William Grzybowski

- Assignee changed from William Grzybowski to John Hixson

This is John's area of expertise ;)

#4 - 04/25/2017 02:30 PM - John Hixson

- Status changed from Unscreened to Screened

- Target version set to 11.0
#5 - 04/25/2017 02:51 PM - John Hixson

- Status changed from Screened to 15

while you state what type of files aren't copying, you do not state what share you are having these failures on. Can you please include more details?

#6 - 04/25/2017 02:59 PM - John Hixson

I do see in the logs failure on psd files with quota errors:

sys_get_vfs_quota() failed for mntpath[2016/AAS - Aldridge and Sutherland/Jobs/2011/11-AAS-002_charleson_villa

ge_signkit/des_4x12_banner/concepts/photo[1] - Copy.psd] bdev[(null)] qtype[1] id[-1]: Operation not supported

 

Try adding the default_quota module to your VFS objects: sharing->windows->[share]->advanced mode->VFS objects

#7 - 04/25/2017 03:49 PM - Joseph Miller

Adding default_quota doesn't help.  However, removing streams_xattr fixes the problem.  Should I just remove it, or should I be worried that I'll lose

some necessary functionality?

#8 - 04/25/2017 04:06 PM - John Hixson

Joseph Miller wrote:

Adding default_quota doesn't help.  However, removing streams_xattr fixes the problem.  Should I just remove it, or should I be worried that I'll

lose some necessary functionality?

 

Once you copy everything over, you can add it back. This module stores alternate stream in extended attributes. I'm not clear on why it fixes the issue

for you, unless the files you are copying already have large alternate data streams stored, which would make sense as to why it is failing.

#9 - 04/27/2017 01:19 AM - John Hixson

- Status changed from 15 to Screened

- Target version changed from 11.0 to 11.1

#10 - 05/08/2017 09:58 AM - John Hixson

- Status changed from Screened to Closed: Not To Be Fixed

#11 - 07/19/2017 09:18 AM - Kris Moore

- Seen in changed from Unspecified to N/A

#12 - 08/01/2017 06:55 AM - Dru Lavigne

- File deleted (debug-freenas-20170424185640.txz)
#13 - 08/01/2017 06:55 AM - Dru Lavigne

- Target version changed from 11.1 to N/A

- Private changed from Yes to No
